unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, DBGrids, StdCtrls, Db, DBTables, SMIBase, SMI2DS, DBCtrls;

type
  TfrmMain = class(TForm)
    dSrcSource: TDataSource;
    tblSource: TTable;
    tblTarget: TTable;
    dSrcTarget: TDataSource;
    gbSource: TGroupBox;
    gbTarget: TGroupBox;
    DBGridSource: TDBGrid;
    DBGridTarget: TDBGrid;
    SMImportFromDataSet1: TSMImportFromDataSet;
    btnImport: TButton;
    DBMemo1: TDBMemo;
    procedure btnImportClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.btnImportClick(Sender: TObject);
begin
  SMImportFromDataSet1.Execute
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  tblSource.DatabaseName := ExtractFilePath(Application.ExeName);
  tblSource.Open;
  tblTarget.DatabaseName := ExtractFilePath(Application.ExeName);
  tblTarget.Open;
end;

end.
